import { ItemStack } from '@minecraft/server';
class onPlayerDestroy {
    constructor() {
        this.onPlayerDestroy = this.onPlayerDestroy.bind(this);
    }
    onPlayerDestroy(_componentData) { }
}
export class flowerBed extends onPlayerDestroy {
    onPlayerDestroy(componentData) {
        const flowerType = componentData.destroyedBlockPermutation.getState('bf_dc:flower_type');
        if (flowerType === 'none')
            return;
        componentData.dimension.spawnItem(new ItemStack('minecraft:' + flowerType), componentData.block.location);
    }
}
export class test extends onPlayerDestroy {
    onPlayerDestroy(componentData) { }
}
